# Error/Exception Handling

{% tabs %}
{% tab title="Android" %}

### Errors

| Error                             | Description                                          |
| --------------------------------- | ---------------------------------------------------- |
| Invalid license key               | The license is invalid                               |
| User refused to grant permission. | The user does not grant the camera access permission |
| User cancelled the activity.      | The user has cancelled the scanning process          |
| {% endtab %}                      |                                                      |

{% tab title="iOS" %}

### Errors

The error received in the completion handler for both document capture and face capture is of the type **OkayCamError:**

```
enum OkayCamError: Error {
    // No error at all.
    case noError
    
    // Error due to invalid parameter value in config object.
    case invalidConfig(_msg: String)
    
    // Error in capturing image.
    case imageCapture(_msg: String)
    
    // Error due to invalid license usage.
    case invalidLicense
    
    // Error due to user clicking cancel and going back.
    case userCancelled
    
    // Error due to camera device
    case camera(_msg: String)
    
    // Any other errors.
    case miscellaneous(_msg: String)
    
    // Permission denied
    case cameraPermission
}
```

| Error            | Description                                          |
| ---------------- | ---------------------------------------------------- |
| invalidLicense   | The license is invalid                               |
| cameraPermission | The user does not grant the camera access permission |
| userCancelled    | The user has cancelled the scanning process          |
| {% endtab %}     |                                                      |

{% tab title="React-Native" %}

### Errors

| Error                    | Description                                          |
| ------------------------ | ---------------------------------------------------- |
| invalid license          | The license is invalid                               |
| camera permission denied | The user does not grant the camera access permission |
| cancel                   | The user has cancelled the scanning process          |
| failed                   | Unexpected error                                     |
| {% endtab %}             |                                                      |
| {% endtabs %}            |                                                      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-old.innov8tif.com/okaycam-mobile-sdk/error-exception-handling.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
